<?php


namespace app\admin\validate\auth;

use support\Validate;

class AuthValidate extends Validate
{
    protected $rule = [
        'username|用户名' => 'require|alphaDash',
        'password|密码' => 'require',
    ];

    protected $message = [];

    protected $scene = [
        'login' => ['username', 'password']
    ];
}