<?php


namespace app\admin\validate\consultant;


use support\Validate;

class IndexValidate extends Validate
{
    protected $rule = [
        'id|ID' => 'require|integer',
        'mobile|手机号' => 'require|mobile',
        'name|姓名' => 'require',
        'password|密码' => 'require',
        'dept_id|团队' => 'require'
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['mobile', 'name', 'password', 'dept_id'],
        'update' => ['id', 'mobile', 'name', 'dept_id']
    ];
}