<?php

namespace app\admin\validate\customer;

use support\Validate;

class IndexValidate extends Validate
{
    protected $rule = [
        'id|ID' => 'require|integer',
        'mobile|手机号' => 'mobile',
        'card_id|身份证号码' => 'idCard'
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['mobile', 'card_id'],
        'update' => ['id', 'mobile', 'card_id']
    ];
}