<?php

namespace app\admin\validate\life;

use support\Validate;

class CinemaPerformersValidate extends Validate
{
    protected $rule = [
        'performers_name|姓名' => 'require',
        'performers_img|照片' => 'url',
        'performers_type|类型' => 'require|in:1,2',
//        'performers_introduction|简介' => 'chsDash',
        'performers_is_del' => 'in:0,1'
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['performers_name', 'performers_img', 'performers_type', 'performers_introduction'],
        'update' => ['performers_name', 'performers_img', 'performers_type', 'performers_introduction', 'performers_is_del']
    ];
}