<?php

namespace app\admin\validate\life;

use support\Validate;

class CollegeTeacherValidate extends Validate
{
    protected $rule = [
        'teacher_id' => 'require|integer',
        'teacher_name|老师名称' => 'require',
        'teacher_title|职称' => 'max:64',
        'teacher_img|头像' => 'require|url',
        'teacher_introduction|简介' => 'max:255',
        'teacher_is_del' => 'integer',
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['teacher_name', 'teacher_title', 'teacher_img', 'teacher_introduction'],
        'update' => ['teacher_id', 'teacher_name', 'teacher_title', 'teacher_img', 'teacher_introduction', 'teacher_is_del']
    ];
}