<?php

namespace app\admin\validate\life;

use support\Validate;

class CollegeTeachingValidate extends Validate
{
    protected $rule = [
        'teaching_id' => 'require|integer',
        'teaching_name|名称' => 'require',
        'teaching_time|上课时间' => 'date',
        'teaching_courses_id|所属课程' => 'require|integer',
        'teaching_price|价格' => 'float',
        'teaching_status|状态' => 'integer',
        'teaching_is_del' => 'integer',
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['teaching_name', 'teaching_courses_id', 'teaching_price', 'teaching_status'],
    ];
}