<?php

namespace app\admin\validate\life;

use support\Validate;

class TravelSchedulingValidate extends Validate
{
    protected $rule = [
        'id' => 'require|integer',
        'line_id' => 'require|integer',
        'price' => 'require|float',
        'original_price' => 'require|float',
        'day' => 'require|date'
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['line_id', 'price', 'original_price', 'day'],
        'update' => ['id', 'line_id', 'price', 'original_price', 'day']
    ];
}