<?php

namespace app\admin\validate\order;

use support\Validate;

class OrderExpressValidate extends Validate
{
    protected $rule = [
        'order_id' => 'require|alphaDash',
        'order_express_code|快递单号' => 'alphaDash',
        // 'order_express_city|省市县区' => 'require',
        // 'order_express_address|具体地址' => 'require',
        // 'order_express_mobile|联系电话' => 'mobile',
        // 'order_express_telephone|备用电话' => 'mobile',
        // 'order_express_person|收件人信息' => 'require',
    ];

    protected $scene = [
        'delivery' => ['order_id', 'order_express_type', 'order_express_code']
    ];
}