<?php

namespace app\admin\validate\sys_manage;

use support\Validate;

class ArticleValidate extends Validate
{
    protected $rule = [
        'id' => 'require|integer',
        'title|标题' => 'require|max:64',
        'author|作者' => 'max:64',
        'introduce|简介' => 'max:255',
        'sort|排序'=>'integer'
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['title', 'author', 'introduce','sort'],
        'update' => ['id', 'title', 'author', 'introduce','sort'],
    ];
}