<?php

namespace app\admin\validate\sys_manage;

use support\Validate;

class MenuValidate extends Validate
{
    protected $rule = [
        'menu_id' => 'require|integer',
        'menu_pid|上级' => 'require|integer',
        'menu_icon|ICON' => 'alphaDash',
        'menu_name|名称' => 'require|max:128',
        'menu_route|路由' => 'max:64',
        'menu_params|参数' => 'max:128',
        'menu_sort|排序' => 'require|integer',
        'menu_is_show|是否显示' => 'require|integer',
        'menu_is_menu|类型' => 'require|integer',
        'menu_status|状态' => 'require|integer',
        'level|等级' => 'integer',
    ];

    protected $scene = [
        'add' => ['menu_pid', 'menu_icon', 'menu_name', 'menu_route', 'menu_params', 'menu_sort', 'menu_is_show', 'menu_is_menu', 'menu_status', 'level'],
        'update' => ['menu_pid', 'menu_icon', 'menu_name', 'menu_route', 'menu_params', 'menu_sort', 'menu_is_show', 'menu_is_menu', 'menu_status', 'level'],
    ];
}