<?php

namespace app\model;

use support\Model;

class ClientConfig extends Model
{
    protected $table = 'client_config';

    protected $primaryKey = 'client_config_id';

    protected $dateFormat = 'U';

    const CREATED_AT = 'client_config_addtimes';

    const UPDATED_AT = null;

    public function serializeDate(\DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
}