<?php

namespace app\model;

use DateTimeInterface;
use support\Model;

class MedicalShop extends Model
{
    protected $table = 'medical_shop';

    protected $primaryKey = 'shop_id';

    protected $dateFormat = 'U';

    public const CREATED_AT = 'shop_addTime';

    public const UPDATED_AT = 'shop_updateTime';

    public function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }

    public static $shopType = [
        1 => '医疗',
        2 => '健康',
        3 => '养老',
        4 => '居家',
        5 => '悦活'
    ];
}