<?php

namespace app\model;

use DateTimeInterface;
use support\Model;

class MemberDevice extends Model
{
    protected $table = 'member_device';

    protected $primaryKey = 'member_device_id';

    public $keyType = 'string';

    protected $dateFormat = 'U';

    const CREATED_AT = 'member_device_addtimes';

    const UPDATED_AT = null;

    public function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
}