<?php

namespace app\model;

use DateTimeInterface;
use support\Model;

class RuleAdded extends Model
{
    protected $table = 'rule_added';

    protected $primaryKey = 'rule_added_id';

    protected $keyType = 'string';

    protected $dateFormat = 'U';

    const CREATED_AT = 'rule_added_addtimes';

    const UPDATED_AT = null;

    protected function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
}