<?php

namespace app\model;

use DateTimeInterface;
use support\Model;

class RulePricing extends Model
{
    protected $table = 'rule_pricing';

    protected $primaryKey = 'rule_pricing_id';

    protected $keyType = 'string';

    protected $dateFormat = 'U';

    const CREATED_AT = 'rule_pricing_addtimes';

    const UPDATED_AT = null;

    protected function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
}