<?php

use Overtrue\EasySms\Strategies\OrderStrategy;

return [
    'enable' => true,

    // HTTP 请求的超时时间（秒）
    'timeout' => 5.0,

    // 默认发送配置
    'default' => [
        // 网关调用策略，默认：顺序调用
        'strategy' => OrderStrategy::class,

        // 默认可用的发送网关
        'gateways' => [
            'aliyun',
        ],
    ],
    // 可用的网关配置
    'gateways' => [
        'errorlog' => [
            'file' => '/tmp/easy-sms.log',
        ],
        'aliyun' => [
            'access_key_id' => 'LTAI5tCWfnAtgPEqCcSR2UBX',
            'access_key_secret' => 'bh96SnPogRy5EIfDAjOuH7SFzLwEEf',
            'sign_name' => '万悦悦享家',
        ],
    ],
];