<?php
/**
 * This file is part of webman.
 *
 * Licensed under The MIT License
 * For full copyright and license information, please see the MIT-LICENSE.txt
 * Redistributions of files must retain the above copyright notice.
 *
 * @author    walkor<walkor@workerman.net>
 * @copyright walkor<walkor@workerman.net>
 * @link      http://www.workerman.net/
 * @license   http://www.opensource.org/licenses/mit-license.php MIT License
 */

return [
    'default' => [
        'host' => getenv('REDIS_HOST', '127.0.0.1'),
        'password' => getenv('REDIS_PASSWORD'),
        'port' => getenv('REDIS_PORT', 6379),
        'database' => 0,
    ],
    'listing' => [  // 商品上架
        'host' => getenv('REDIS_HOST', '127.0.0.1'),
        'password' => getenv('REDIS_PASSWORD'),
        'port' => getenv('REDIS_PORT', 6379),
        'database' => 1,
    ],
];
