<?php
/**
 * CardBatchValidate.php
 * User: ZhouBenXu
 * Date: 2024/6/27
 * Time: 上午9:54
 * Notes:
 */

namespace app\admin\validate\card;

use support\Validate;

class CardValidate extends Validate
{
    protected $rule = [
        'card_id' => 'require', // 储值卡id
        'page' => 'require', // 页码
        'pageSize' => 'require', // 分页条数
        'card_ids' => 'require', // 储值卡id
        'join_card_member_id' => 'require', // 会员id
    ];

    protected $message = [];

    protected $scene = [
        'save' => ['join_card_batch_user_id','card_batch_id','validtimes_status','card_batch_name'],
        'delete' => ['card_ids'],
        'list' => ['page','pageSize'],
        'info' => ['card_id'],
        'binding' => ['card_id','join_card_member_id'],
    ];


}