<?php

namespace app\admin\validate\member;

use support\Validate;

class RulePricingValidate extends Validate
{
    protected $rule = [
        'rule_pricing_id|ID' => 'require|alphaDash',
        'rule_pricing_classify|归类' => 'max:32',
        'rule_pricing_status|状态' => 'in:ACTIVED,DISABLED',
        'rule_pricing_category|分类' => 'max:32',
        'rule_pricing_name|规则名称' => 'require|max:64',
        'rulr_priceing_nbr|规则数值' => 'float',
        'rule_pricing_sort|排序' => 'integer',
        'rule_pricing_groupby|分组' => 'max:32',
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['rule_pricing_status', 'rule_pricing_category', 'rule_pricing_name', 'rulr_priceing_nbr', 'rule_pricing_sort', 'rule_pricing_groupby'],
        'update' => ['rule_pricing_id', 'rule_pricing_status', 'rule_pricing_category', 'rule_pricing_name', 'rulr_priceing_nbr', 'rule_pricing_sort', 'rule_pricing_groupby']
    ];
}