<?php

namespace app\model;

use support\Model;

class ChatMessage extends Model
{
    protected $table = 'chat_message';

    protected $primaryKey = 'chat_message_id';

    protected $dateFormat = 'U';

    const CREATED_AT = 'chat_message_addtimes';

    const UPDATED_AT = null;

    public function serializeDate(\DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
}