<?php

namespace app\model;

use DateTimeInterface;
use support\Model;

class Cinema extends Model
{
    protected $table = 'cinema';

    protected $primaryKey = 'cinema_id';

    public const CREATED_AT = 'cinema_addTime';

    public const UPDATED_AT = 'cinema_updateTime';

    protected $dateFormat = 'U';

    public function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
}