<?php

namespace app\model;

use DateTimeInterface;
use support\Model;

class CinemaPerformers extends Model
{
    protected $table = 'cinema_performers';

    protected $primaryKey = 'performers_id';

    protected $dateFormat = 'U';
    public const CREATED_AT = 'performers_create_time';
    public const UPDATED_AT = 'performers_update_time';

    public function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
}