<?php

namespace app\model;

use DateTimeInterface;
use support\Model;

class CollegeTeacher extends Model
{
    public $table = 'college_teacher';

    public $primaryKey = 'teacher_id';

    public $dateFormat = 'U';

    public const CREATED_AT = 'teacher_addTime';

    public const UPDATED_AT = 'teacher_updateTime';

    public function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
}