<?php

namespace app\model;

use support\Model;

class Family extends Model
{
    protected $table = 'family';

    protected $primaryKey = 'family_id';

    protected $dateFormat = 'U';

    const CREATED_AT = 'family_addtimes';

    const UPDATED_AT = null;

    /**
     * @Desc 家庭-成员 一对多
     * @Author Gorden
     * @Date 2024/3/6 10:26
     *
     * @return \Illuminate\Database\Eloquent\Relations\HasMany
     */
    public function familyMember()
    {
        return $this->hasMany(FamilyMember::class,'join_family_id','family_id');
    }
}