<?php

namespace app\model;

use support\Model;

class MedicalReservationService extends Model
{
    protected $table = 'medical_reservation_service';

    protected $primaryKey = 'service_id';

    protected $dateFormat = 'U';

    public const CREATED_AT = 'service_addTime';

    public const UPDATED_AT = 'service_updateTime';

    public function serializeDate(\DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
}
