<?php

namespace app\model;

use DateTimeInterface;
use support\Model;

class OrderExpress extends Model
{
    protected $table = 'order_express';

    protected $primaryKey = 'orders_express_id';

    protected $dateFormat = 'U';

    const CREATED_AT = 'order_express_addtimes';

    const UPDATED_AT = null;

    public function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
}