<?php

namespace app\model;

use support\Model;

class OrderProcess extends Model
{
    protected $table = 'order_process';

    protected $primaryKey = 'orders_process_id';

    protected $dateFormat = 'U';

    const CREATED_AT = 'order_process_addtimes';

    const UPDATED_AT = null;

    public function serializeDate(\DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
}