<?php

namespace app\model;

use DateTimeInterface;
use support\Model;

class SysConfig extends Model
{
    public $table = 'sys_config';

    public $primaryKey = 'config_id';

    protected $dateFormat = 'U';

    const CREATED_AT = 'config_addtimes';

    const UPDATED_AT = null;

    public function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
}